=== debian/changelog ===
ros-indigo-gripper-action-controller (0.9.4-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 30 Jun 2017 23:00:00 -0000

ros-indigo-gripper-action-controller (0.9.3-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-gripper-action-controller (0.9.2-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-gripper-action-controller (0.9.1-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-gripper-action-controller (0.9.0-0trusty) trusty; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-gripper-action-controller (0.8.1-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-indigo-gripper-action-controller (0.8.0-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-gripper-action-controller (0.7.2-0trusty) trusty; urgency=high

  * Added missing deps to package.xml
  * Contributors: Scott K Logan

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-gripper-action-controller (0.7.1-0trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-gripper-action-controller (0.7.0-0trusty) trusty; urgency=high

  * gripper_action_controller: New controller for single dof grippers.
  * Contributors: Sachin Chitta.

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000
